Ticket #1013 (closed defect: fixed)

Opened 12 years ago

Last modified 12 years ago

cdat_lite needs CC=gcc to build

Reported by: spascoe Owned by: spascoe
Priority: desirable Milestone:
Component: COWS Version:
Keywords: Cc:

Description

This effects some linux variants and we found when installing cdat_lite on the DDP deployment servers. Sometimes you get the following error when installing cdat_lite from at tarball:

checking for C compiler default output file name... configure: error: C compiler cannot create executables
See `config.log' for more details.

This indicates distutils is trying to use the wrong C compiler. A workaround is:

$ export CC=gcc
$ python setup.py build

or equivilent for easy_install.

Change History

comment:1 Changed 12 years ago by spascoe

  • Status changed from new to closed
  • Resolution set to fixed

Fixed in revision 4891 of BADC SVN.

Note: See TracTickets for help on using tickets.